%if 0%{?el7}
%define dist .el7
%endif

Name:		iplog
Version:	2.2.3
Release:	5%{?dist}
Summary:	TCP/IP traffic logger

Group:		Applications/Internet
License:	GPLv2
URL:		http://ojnk.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-make.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%if 0%{?rhel} >= 5 || 0%{?fedora} >= 14
BuildRequires:	libpcap-devel
%else
BuildRequires:	libpcap
%endif
BuildRequires:  gcc

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
iplog is a TCP/IP traffic logger.  Currently, it is capable of logging 
TCP, UDP and ICMP traffic.  Adding support for other protocols
should be relatively easy.

%prep
%setup -q
%patch0 -p1 -b .make

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/run/iplog
install -c -m0644 example-iplog.conf $RPM_BUILD_ROOT%{_sysconfdir}/iplog.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL README TODO
%{!?_licensedir:%global license %%doc}
%license COPYING*
%{_sysconfdir}/iplog.conf
%{_sbindir}/iplog
%{_mandir}/*
%dir %{_localstatedir}/run/iplog

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.2.3-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.2.3-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 2.2.3-2
- Rebuilt for fc22

* Sat Aug 27 2011 momo-i <webmaster@momo-i.org> 2.2.3-1
- Initial rpm release.
